# $Revision: 1.21 $, $Date: 2008/11/16 15:34:57 $
# TODO:
# - consider renaming the spec to distutils.spec and separate
#   python-docutils subpackage (this package includes utilities in
#   %{_bindir} and python-* packages should contain Python modules only)

%define		module	docutils
Summary:	Text documents processing for Python
Summary(pl.UTF-8):	Moduły Pythona do przetwarzania dokumentów tekstowych
Name:		python-%{module}
Version:	0.5
Release:	2
License:	Public Domain
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	dd72dac92fc8e3eb0f48c3effeef80f6
URL:		http://docutils.sourceforge.net/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of the Docutils project is to create a set of tools for
processing plaintext documentation into useful formats, such as HTML,
XML, and TeX. Support for the following sources has been implemented:
- Standalone files.
- PEPs (Python Enhancement Proposals)

Support for the following sources is planned:
- Inline documentation from Python modules and packages
- Email
- Wikis
- Compound documents
- And others as discovered.

%description -l pl.UTF-8
Celem projektu Docutils jest stworzenie zestawu narzędzi do
przetwarzania dokumentacji z czystego tekstu na użyteczne formaty,
takie jak HTML, XML czy TeX. Jak na razie obsługiwane są formaty:
- niezależne pliki tekstowe
- PEPy (proponowane rozszerzenia Pythona)

Planowane jest stworzenie obsługi formatów:
- dokumentacji inline dla modułów i pakietów Pythona
- Emaili
- Wiki
- dokumentów złożonych
- innych, w miarę potrzeb.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -r test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

# force installation of roman.py, which won't be installed
# if another version of docutils is installed
install extras/roman.py $RPM_BUILD_ROOT%{py_sitescriptdir}/roman.py
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

cd $RPM_BUILD_ROOT%{_bindir}
for f in *.py; do
	mv $f ${f%%.py} 
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt HISTORY.txt COPYING.txt FAQ.txt
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}*.egg*
%{py_sitescriptdir}/roman.py[co]
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-docutils.spec,v $
Revision 1.21  2008/11/16 15:34:57  wrobell
- rel. 2

Revision 1.20  2008/10/17 19:02:22  qboosh
- python BRs

Revision 1.19  2008/10/16 19:47:00  wrobell
- force roman module installation

Revision 1.18  2008/10/16 19:09:11  wrobell
- ver. 0.5

Revision 1.17  2008/10/03 17:48:38  arekm
- release 4

Revision 1.16  2008/07/27 23:01:07  arekm
- release 3

Revision 1.15  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.13  2006/10/05 10:21:09  glen
- minor

Revision 1.12  2006/10/04 18:36:23  patrys
- package roman.py*
- rel. 2

Revision 1.11  2006/06/03 18:59:00  jajcus
- Version: 0.4

Revision 1.10  2005/05/30 11:05:56  radzio
- 0.3.9

Revision 1.9  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.8  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.7  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.6  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/09/10 13:13:24  jajcus
- Version 0.3.5
- "mv" usage removed from %install
- removed ".py" suffix from all executables
- all installed executables included in the package

Revision 1.4  2004/07/28 08:03:15  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.3  2004/05/31 17:18:18  qboosh
- removed bogus CFLAGS (noarch, no compiled C code here)

Revision 1.2  2004/05/30 23:34:46  ankry
- cosmetics

Revision 1.1  2004/05/30 23:27:08  leafnode
- import
